
VELO Production Issue - Bug #22325

[PROD][Android] Show Permission Required Pop Up when Share Receipt

07 August 2025 02:38 PM - yap chekying

Status: Pending PROD Start date: 07 August 2025

Priority: Normal Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Steps to reproduce:

1. Perform Own Account Transfer

2. After successfully perform transaction, tap on "SHARE" button at the Result screen.

Actual Result:

Show Permission Required pop up.

Expected Result:

Should be able to share receipt successfully.

History

#1 - 08 August 2025 10:27 AM - Hao Ter Tai

- Status changed from New to Resolved

- % Done changed from 0 to 100

238,103

update for android 15 screenshot error

238,117

8/8/2025 Bug #22325 [PROD][Android] Show Permission Required Pop Up when Share Receipt

Fix crash when press share

============================================================================================

root cause:

Android 15 strengthens Scoped Storage and URI permissions.

Solution:

change image storage path and grant new Permission for sharing

#2 - 08 August 2025 10:27 AM - Hao Ter Tai

- Status changed from Resolved to Assigned

- Assignee changed from Hao Ter Tai to yap chekying

#3 - 08 August 2025 10:31 AM - yap chekying

- Status changed from Assigned to Pending UAT 
https://dev.silverlakemobility.com/redmine/issues/22325


#4 - 08 August 2025 10:32 AM - yap chekying

- File UAT test result 22325.png added

- Status changed from Pending UAT  to Pending PROD

tested ok in UAT

Files

WhatsApp Video 2025-08-07 at 12.42.30.mp4 1.53 MB 07 August 2025 yap chekying

WhatsApp Video 2025-08-06 at 20.58.16.mp4 3.58 MB 07 August 2025 yap chekying

UAT test result 22325.png 158 KB 08 August 2025 yap chekying
